For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETFetch a published article
      • GETList published articles
      • GETList featured videos
      • GETGet legacy news
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesNews

Fetch a published article

GET
https://api.wynncraft.com/v3/publisher/articles/fetch/:article_type/:pk
GET
/v3/publisher/articles/fetch/:article_type/:pk
$curl https://api.wynncraft.com/v3/publisher/articles/fetch/blog/pk
1{
2 "id": 104,
3 "type": "poll",
4 "created_by": "example_author",
5 "discord_messages": {
6 "footer": "example_footer_message",
7 "header": "example_header_message",
8 "example-content-block": "example_content_message"
9 },
10 "discord_recap": false,
11 "allow_discord": true,
12 "destination": "noticeboard",
13 "published": true,
14 "pinned": true,
15 "visible": true,
16 "content": [
17 {
18 "id": "example-content-block",
19 "type": "text",
20 "focus": true,
21 "content": "Example article content.\n\nThis block is shown on both the website and Discord.",
22 "discord": true,
23 "website": true
24 },
25 {
26 "id": "example-question-block",
27 "type": "question",
28 "focus": false,
29 "content": {
30 "answers": {
31 "1778232125075-c1c9fds": "Salted",
32 "1778232133945-ln1ihl7": "Crunkle",
33 "1778232143313-gmd3s95": "HeyZeer0",
34 "1778232147271-f180s72": "Nepmia",
35 "1778232150657-3u4p736": "Michael",
36 "1778232154834-1cgzf6c": "Terminated"
37 },
38 "override": false,
39 "question": "Who is the best Admin?",
40 "requirements": [
41 {
42 "type": "content_completion",
43 "subType": "nameless",
44 "value": 25
45 }
46 ]
47 },
48 "discord": false,
49 "website": true
50 },
51 {
52 "id": "example-image-block",
53 "type": "image",
54 "focus": false,
55 "content": "poll/content/example-poll-image.png",
56 "discord": true,
57 "website": true
58 }
59 ],
60 "start_date": "2026-05-01T15:00:00Z",
61 "end_date": "2026-05-08T15:00:00Z",
62 "recap": "Example recap for a published poll article.",
63 "title": "Example Poll Article",
64 "banner": "poll/banner/example-poll-banner.png",
65 "banner_zoom": false,
66 "likes": 100,
67 "published_at": "2026-05-01T15:02:00+00:00",
68 "require_discord": true,
69 "require_clan": true,
70 "poll_settings": [
71 {
72 "type": "highest_level",
73 "subType": "combat",
74 "value": 106
75 },
76 {
77 "type": "account_age",
78 "subType": null,
79 "value": 365
80 }
81 ],
82 "poll_public": true,
83 "votes": {
84 "total": 42,
85 "example-question-block": {
86 "total": 42,
87 "1778232125075-c1c9fds": 7,
88 "1778232133945-ln1ihl7": 7,
89 "1778232143313-gmd3s95": 7,
90 "1778232147271-f180s72": 7,
91 "1778232150657-3u4p736": 7,
92 "1778232154834-1cgzf6c": 7
93 }
94 }
95}
<Note> This endpoint is cached for <Badge intent="success" minimal>2 minutes</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>SHARED</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Article content uses standard Markdown syntax alongside Discord-specific syntax such as timestamps. See Discord Markdown and timestamp formatting for supported syntax. <Info> Poll articles can include `question` content blocks. In those blocks, `content` can be either a plain string or a structured question object with answer options and requirements. </Info>
Was this page helpful?
Previous

Get leaderboard entries

Next

List published articles

Built with

This endpoint is cached for 2 minutes in the SHARED cache source. See Caching.

This endpoint belongs to the SHARED rate-limit bucket. See Throttling and Rate Limits.

Article content uses standard Markdown syntax alongside Discord-specific syntax such as timestamps. See Discord Markdown and timestamp formatting for supported syntax.

Poll articles can include question content blocks. In those blocks, content can be either a plain string or a structured question object with answer options and requirements.

Path parameters

article_typeenumRequired

Publisher content type. Use article to return every published article type.

Allowed values:
pkstringRequired

Response

Article detail.
idinteger
typeenum
Allowed values:
created_bystring
discord_messagesmap from strings to strings
discord_recapboolean
allow_discordboolean
destinationstring
publishedboolean
pinnedboolean
visibleboolean
contentlist of objects
start_datedatetime
end_datedatetime or null
recapstring
titlestring
bannerstring
banner_zoomboolean
likesinteger
published_atdatetime
require_discordboolean
require_clanboolean
poll_settingslist of objects
List of global requirements for poll questions if the article is a poll.
poll_publicboolean
Whether poll vote totals are publicly visible.
votesobject or null

Returned when poll_public is true.

Errors

404
Not Found Error